source 'http://rubygems.org'
gem 'rails', "~> 3.2.16"

gem "brakeman"
gem 'mime-types'

gem 'bson_ext'
gem 'carrierwave'
gem 'carrierwave-mongoid', :require => 'carrierwave/mongoid'
gem "net-ldap", "~> 0.3.1"
gem 'devise', '2.0'
gem 'exception_notification' # Send error trace
gem 'execjs'
gem 'jquery-rails', '3.0.4'
gem 'jquery-ui-rails', "4.0.5"
gem "select2-rails", '3.3.1'
gem 'kaminari'
gem 'time_difference'
gem "acts_as_unvlogable"
gem 'youtube_it'
gem 'gotcha'
gem "geocoder"

# gem "memcached", "~> 1.4.3"
# gem "memcache-client"

gem 'mini_magick'
gem 'mongoid', '> 2.1', '< 3.0.0'
# gem 'mongoid_search', :github => 'mauriciozaffari/mongoid_search', :branch => 'mongoid_2.x.x'
gem 'mongoid-tree', :require => 'mongoid/tree'
gem "mongo_session_store-rails3", '3.0.6'
gem 'nokogiri'
# gem 'riddle', '1.3.3'
# gem 'mongoid-sphinx', :github => 'Rulingcom/mongoid-sphinx', :require => 'mongoid_sphinx'
gem 'tire'

gem 'fb_graph'
gem 'rack-gridfs'
gem 'radius'
gem 'rake'
# gem 'remotipart'
gem 'resque', :require => 'resque/server' # background jobs
gem 'resque-scheduler' # job scheduling
gem 'resque-restriction'
#gem 'rb-readline'
# gem 'ruby-debug19'
gem 'rubyzip', '< 1.0.0'

gem 'progress_bar'

gem 'sinatra'
#gem 'sinatra-contrib'
gem 'sprockets'
gem 'social-share-button'

gem 'ckeditor'
# gem 'tinymce-rails', "~> 3.5.8"
gem 'therubyracer' if RUBY_PLATFORM.downcase.include?("linux")
gem 'libv8', '~> 3.11.8' if RUBY_PLATFORM.downcase.include?("linux")
gem 'mongoid-encryptor', :require => 'mongoid/encryptor'
gem 'rb-readline','~> 0.4.2' if RUBY_PLATFORM.downcase.include?("linux")


gem "impressionist",'1.2.0'
#gem 'contacts'
#gem 'event-calendar', :require => 'event_calendar'#, :git => 'git://github.com/elevation/event_calendar.git'

gem 'redis','>= 2.1.1'
# gem 'chinese_pinyin', '0.4.1'
# add rmmseg if you need search by segment words
gem 'rmmseg-cpp-huacnlee', '0.2.9'
gem 'redis-namespace'
# gem 'redis-search'
gem 'syslog-logger'
gem "recaptcha", :require => "recaptcha/rails"

gem "chartkick"
gem 'usagewatch'

# Gems used only for assets and not required
# in production environments by default.
group :assets do
  gem 'sass-rails'
  gem 'coffee-rails'
  gem 'uglifier'
end


group :test, :development do
  gem 'pry'
  gem 'pry-remote'
  gem 'pry-stack_explorer'
  gem 'pry-debugger'
  gem 'debugger'
  gem 'faker'
  gem 'puma'
  # gem "sunspot-rails-tester"
  gem 'database_cleaner'  #Strategies for cleaning databases. Can be used to ensure a clean state for testing.
  gem "rspec", "~> 2.0"
  gem "rspec-rails", "~> 2.0"
  gem "factory_girl_rails"
  gem "shoulda-matchers"
  gem "simplecov"
  gem "delorean"
  gem "watchr"
  gem "spork"
  gem "capybara"
  #gem 'rack-mini-profiler'
  gem "better_errors"
  # gem 'yard'
  # gem "bluecloth"
end

